/**
 * Copyright (C) FuseSource, Inc.
 * http://fusesource.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.fusesource.fabric.commands;

import org.apache.felix.gogo.commands.Argument;
import org.apache.felix.gogo.commands.Command;
import org.fusesource.fabric.api.Agent;
import org.fusesource.fabric.commands.support.FabricCommand;

@Command(name = "agent-delete", scope = "fabric", description = "Delete an existing agent")
public class AgentDelete extends FabricCommand {

    @Argument(index = 0)
    private String name;

    @Override
    protected Object doExecute() throws Exception {
        Agent agent = fabricService.getAgent(name);
        if( agent==null ) {
            throw new IllegalArgumentException("Agent does not exist: "+name);
        }
        agent.destroy();
        return null;
    }

}
